.outer-nav {
    display: flex;
    flex-direction: row;
    justify-content: start;
}

.inner-nav {

    display: flex;
    flex-direction: column;
    margin: 0;
    padding: 0;
    width: 200px;
    box-sizing: border-box;
}

.outer-nav a,





inner-nav a {
    text-align: center;
    font-size: xx-large;
    box-sizing: border-box;
    border: 2px solid blue;
    background-color: green;
    color: antiquewhite;
    text-decoration: none;
    width: 200px;
    height: 50px;
}
.inner-nav > a{
    display: none;
}

.inner-nav > a:hover, .outer-nav > a:hover{
    background-color: lightgreen;
}

.inner-nav > h2{
    text-align: center;
    box-sizing: border-box;
    background-color: aquamarine;
    margin: 0;
    border: 2px solid black;
    width: 200px;
    text-decoration: none;
    font-size: xx-large;
    height: 50px;
}


.inner-nav:hover > a{
    display: block;
    transform: rotate(45deg);
}